Package org.apache.sysds.runtime.matrix.data

## Class LibCommonsMath

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.LibCommonsMath

    public class LibCommonsMath
    extends Object

Library for matrix operations that need invocation of Apache Commons Math library. This library currently supports following operations: matrix inverse, matrix decompositions (QR, LU, Eigen), solve

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isSupportedMatrixMatrixOperation​(String opcode)`
`static boolean` `isSupportedMultiReturnOperation​(String opcode)`
`static boolean` `isSupportedUnaryOperation​(String opcode)`
`static MatrixBlock` `matrixMatrixOperations​(MatrixBlock in1, MatrixBlock in2, String opcode)`
`static MatrixBlock[]` `multiReturnOperations​(MatrixBlock in, String opcode, int threads)`
`static MatrixBlock[]` `multiReturnOperations​(MatrixBlock in, String opcode, int threads, int num_iterations, double tol)`
`static MatrixBlock[]` `multiReturnOperations​(MatrixBlock in, String opcode, int threads, long seed)`
`static MatrixBlock[]` `multiReturnOperations​(MatrixBlock in1, MatrixBlock in2, String opcode)`
`static MatrixBlock[]` `multiReturnOperations​(MatrixBlock in1, MatrixBlock in2, String opcode, int threads, long seed)`
`static MatrixBlock` `unaryOperations​(MatrixBlock inj, String opcode)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isSupportedUnaryOperation

    public static boolean isSupportedUnaryOperation​(String opcode)

#### isSupportedMultiReturnOperation

    public static boolean isSupportedMultiReturnOperation​(String opcode)

#### isSupportedMatrixMatrixOperation

    public static boolean isSupportedMatrixMatrixOperation​(String opcode)

#### unaryOperations

    public static MatrixBlock unaryOperations​(MatrixBlock inj,
                                              String opcode)

#### multiReturnOperations

    public static MatrixBlock[] multiReturnOperations​(MatrixBlock in,
                                                      String opcode,
                                                      int threads)

#### multiReturnOperations

    public static MatrixBlock[] multiReturnOperations​(MatrixBlock in1,
                                                      MatrixBlock in2,
                                                      String opcode)

#### multiReturnOperations

    public static MatrixBlock[] multiReturnOperations​(MatrixBlock in,
                                                      String opcode,
                                                      int threads,
                                                      int num_iterations,
                                                      double tol)

#### multiReturnOperations

    public static MatrixBlock[] multiReturnOperations​(MatrixBlock in,
                                                      String opcode,
                                                      int threads,
                                                      long seed)

#### multiReturnOperations

    public static MatrixBlock[] multiReturnOperations​(MatrixBlock in1,
                                                      MatrixBlock in2,
                                                      String opcode,
                                                      int threads,
                                                      long seed)

#### matrixMatrixOperations

    public static MatrixBlock matrixMatrixOperations​(MatrixBlock in1,
                                                     MatrixBlock in2,
                                                     String opcode)